<tr class="basket-item {f:if(condition: itemIteration.isOdd, then: 'odd')} {f:if(condition: itemIteration.isEven, then: 'even')}"
	data-single-price="{item.product.price}" data-product-tax="{item.product.tax}"
	data-product-uid="{item.product.uid}">
	<td class="article-column">
		<f:if condition="{editable}">
			<f:then>
				<f:link.action arguments="{product: item.product.uid}" pageUid="{settings.detail.defaultPid}"
							   action="show" controller="Product" pluginName="Products"
							   title="{f:translate(key: 'tx_shop_label.show_product_title')} {item.product.title -> f:format.stripTags()}">
					<f:format.raw>{item.product.title}</f:format.raw>
					<f:if condition="{item.product.subtitle}">
						<br />
						<small class="text-muted nobr">{item.product.subtitle}</small>
					</f:if>
					<f:if condition="{item.product.unit} && {item.product.unitFactor}">
						<br />
						<small class="text-muted nobr">{item.product.unitFactor} {item.product.unit}</small>
					</f:if>
				</f:link.action>

				<f:if condition="{item.product.productType.customInformationEnabled}">
					<div class="custom-information">
						<label>{item.product.productType.customInformationLabel}:</label><br />
						<div class="input-group input-group-sm">
							<input type="hidden" value="{item.customInformation}" class="basket-item-custom-information-original">

							<f:if condition="{item.product.productType.customInformationType} == 'string'">
								<input name=""
									   type="text"
									   data-custom-information-required="{item.product.productType.customInformationRequiredAsInteger}"
									   data-custom-information-type="{item.product.productType.customInformationType}"
									   data-custom-information-empty-message="Bitte geben Sie erst eine Information ein!"
									   class="basket-item-custom-information form-control"
									   value="{item.customInformation}">
							</f:if>
							<f:if condition="{item.product.productType.customInformationType} == int">
								<input name=""
									   type="number"
									   data-custom-information-required="{item.product.productType.customInformationRequiredAsInteger}"
									   data-custom-information-type="{item.product.productType.customInformationType}"
									   data-custom-information-empty-message="Bitte geben Sie erst eine Information ein!"
									   class="basket-item-custom-information form-control"
									   value="{item.customInformation}">
							</f:if>
							<button class="btn btn-primary basket-item-custom-information-save"
									type="button" disabled="disabled">
								<f:translate key="tx_shop_label.item_unit_save"/>
							</button>
						</div>
					</div>
				</f:if>

			</f:then>
			<f:else>
				<f:format.raw>{item.product.title}</f:format.raw>
				<f:if condition="{item.product.subtitle}">
					<br />
					<small class="text-muted nobr">{item.product.subtitle}</small>
				</f:if>
				<f:if condition="{item.product.unit} && {item.product.unitFactor}">
					<br />
					<small class="text-muted nobr">{item.product.unitFactor} {item.product.unit}</small>
				</f:if>
				<f:if condition="{item.product.productType.customInformationEnabled}">
					<div class="custom-information">
						<label>{item.product.productType.customInformationLabel}:</label>
						<span>{item.customInformation}</span>
					</div>
				</f:if>
			</f:else>
		</f:if>
		<f:if condition="{item.isDiscounted}">
			<br />
			<small class="text-danger">
				{item.discountLabel}
			</small>
		</f:if>
	</td>
	<td class="product-no-column">
		<span class="nobr">{item.product.productNo}</span>
	</td>
	<td class="quantity-column">
		<f:if condition="{editable}">
			<f:then>
				<div class="input-group input-group-sm">
					<input type="hidden" value="{item.quantity}" class="basket-item-quantity-original">
					<f:if condition="{item.product.digitalProduct}">
						<f:then>
							<input type="text"
								   value="{item.quantity}"
								   class="basket-item-quantity form-control"
								   data-quantity-empty-message="Bitte geben Sie erst eine Anzahl ein!"
								   maxlength="4"
								   aria-label="Product quantity" disabled="1">
						</f:then>
						<f:else>
							<input type="text"
								   value="{item.quantity}"
								   class="basket-item-quantity form-control"
								   data-quantity-empty-message="Bitte geben Sie erst eine Anzahl ein!"
								   maxlength="4"
								   aria-label="Product quantity">
						</f:else>
					</f:if>
					<button class="btn btn-primary basket-item-unit" type="button" disabled="disabled">
						<f:translate key="tx_shop_label.item_unit"/>
					</button>
					<button class="btn btn-primary basket-item-unit-save" type="button" style="display: none">
						<f:translate key="tx_shop_label.item_unit_save"/>
					</button>
				</div>
			</f:then>
			<f:else>
				<input type="hidden" value="{item.quantity}" class="basket-item-quantity">{item.quantity}
			</f:else>
		</f:if>
	</td>
	<td class="single-price-column text-end">
		<f:if condition="{settings.basket.displayType} == 'b2c'">
			<f:then>
				<span class="nobr"><f:render partial="Price"
											 arguments="{settings: settings, price: item.priceWithTaxAsFloat}"/></span>
			</f:then>
			<f:else>
				<span class="nobr"><f:render partial="Price"
											 arguments="{settings: settings, price: item.priceAsFloat}"/></span>
			</f:else>
		</f:if>
		<f:if condition="{item.isDiscounted}">
			<br />
			<small class="text-danger">
				<s><f:render partial="Price" arguments="{settings: settings, price: item.regularPriceAsFloat}"/></s>
			</small>
		</f:if>
	</td>

	<td class="price-tax-column text-end">
		<span class="nobr"><f:render partial="Price"
									 arguments="{settings: settings, price: item.taxPriceAsFloat}"/></span>
		<br /><small class="text-muted"><f:render partial="Percent" arguments="{settings: settings, percent: item.taxAsFloat}" /></small>
	</td>

	<td class="price-amount-column text-end">
		<f:if condition="{settings.basket.displayType} == 'b2c'">
			<f:then>
				<span class="nobr"><f:render partial="Price"
											 arguments="{settings: settings, price: item.totalPriceWithTaxAsFloat}"/></span>
			</f:then>
			<f:else>
				<span class="nobr"><f:render partial="Price"
											 arguments="{settings: settings, price: item.totalPriceAsFloat}"/></span>
			</f:else>
		</f:if>
	</td>
	<f:if condition="{editable}">
		<td class="actions-column">
			<f:link.action action="removeFromBasket" controller="Basket" arguments="{product: item.product.uid}"
						   class="btn btn-primary btn-sm nobr"
						   title="{f:translate(key: 'tx_shop_label.delete_button_title')}">
				<i class="fa fa-trash"></i>&nbsp;<f:translate key="tx_shop_label.delete_button_label"/>
			</f:link.action>
		</td>
	</f:if>
</tr>
